slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSetType

Selects the type for the DS object.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSetType(DS ds,DSType type)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| type | - a known type

### See Also

DSGetType()

### Level

intermediate

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages